#ifndef __TAPELED_H_
#define __TAPELED_H_

#include "Adafruit_NeoPixel.h"

// How many NeoPixels are attached to the Arduino?
#define NUMPIXELS 6

class TapeLED
{
  public:
    TapeLED(int pin);
    void init();
    void turnOn(int position, int red, int green, int blue);
    void turnOn(int position, long color);
    void turnOnAll(int red, int green, int blue);
    void turnOnAll(long color);
    void turnOff();
    void setBlightness(uint8_t blightness);

  private:
    Adafruit_NeoPixel* pixels;
};
#endif
